XmSetFontUnit(3Xm)

NAME
XmSetFontUnit — a function that sets the font unit value for a display.

SYNOPSIS
#include <Xm/Xm.h>

void XmSetFontUnit (display, font_unit_value)
    Display    display;
    int    font_unit_value;

DESCRIPTION
XmSetFontUnit provides an external function to initialize font unit values. Applications may want to specify resolution-independent data based on a global font size. This function must be called before any widgets with resolution-independent data are created. See the XmNunitType resource description in the man pages for XmGadget, XmManager, and XmPrimitive for more information on resolution independence.

display
    Defines the display for which this font unit value is to be applied.

font_unit_value
    Specifies the value to be used in the conversion calculations. The font unit value is normally taken as the QUAD_WIDTH property of the font; however, the application can specify any integer value.

RELATED INFORMATION
XmConvertUnits(3Xm).